net.sourceforge.pmd.ast

## Class ASTInitializerTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.ParserTst
  - - net.sourceforge.pmd.ast.ASTInitializerTest

    public class ASTInitializerTest
    extends ParserTst

### Constructor Summary

Constructors
Constructor and Description
`ASTInitializerTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testDontCrashOnBlockStatement()`

### Methods inherited from class net.sourceforge.pmd.testframework.ParserTst

`buildDFA, getNodes, getNodes, getOrderedNodes, parseJava, parseJava13, parseJava14, parseJava15, parseJava17`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ASTInitializerTest

    public ASTInitializerTest()

### Method Detail

#### testDontCrashOnBlockStatement

    public void testDontCrashOnBlockStatement()
                                       throws Throwable

Throws:
  `Throwable`

#### suite

    public static junit.framework.Test suite()